libappindication crashes in gtkstatusicon code on update

Bug #729150 reported by MJJoker on 2011-03-04
This bug affects 539 people
Affects Status Importance Assigned to Milestone
GTK+
Expired
Medium
Unity Foundations
High
Ted Gould
libappindicator
Fix Released
High
Ted Gould
gtk+2.0 (Ubuntu)
Wishlist
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
libappindicator (Ubuntu)
High
Ted Gould
Lucid
Undecided
Unassigned
Maverick
High
Unassigned

Bug Description

I was testing - just surfing - with Ubuntu Natty Alpha 3 when nm-applet crashed

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: network-manager-gnome 0.8.3+git.20110203t003354.9bf0b98-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
CrashCounter: 1
Date: Fri Mar 4 16:47:55 2011
ExecutablePath: /usr/bin/nm-applet
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
IpRoute:
 192.168.5.0/24 dev wlan0 proto kernel scope link src 192.168.5.103 metric 2
 169.254.0.0/16 dev wlan0 scope link metric 1000
 default via 192.168.5.7 dev wlan0 proto static
Keyfiles: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
ProcCmdline: nm-applet --sm-disable
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SegvAnalysis:
 Segfault happened at: 0x8cdae6: movsbl (%eax),%eax
 PC (0x008cdae6) ok
 source "(%eax)" (0x00000001) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: network-manager-applet
StacktraceTop:
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
Title: nm-applet crashed with SIGSEGV
UpgradeStatus: Upgraded to natty on 2011-03-04 (0 days ago)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video
ftp_proxy: ftp://192.168.5.100:3128/
http_proxy: http://192.168.5.100:3128/

Related branches

MJJoker (mjjoker) wrote :

StacktraceTop:
 icon_name_hash (key=0x1) at /build/buildd/gtk+2.0-2.24.1/gtk/gtkiconcache.c:208
 find_image_offset (icon_name=0x1 <Address 0x1 out of bounds>, directory_index=15, cache=<value optimized out>) at /build/buildd/gtk+2.0-2.24.1/gtk/gtkiconcache.c:241
 _gtk_icon_cache_get_icon_flags (cache=0x8b72318, icon_name=0x1 <Address 0x1 out of bounds>, directory_index=15) at /build/buildd/gtk+2.0-2.24.1/gtk/gtkiconcache.c:283
 theme_dir_get_icon_suffix (dir=<value optimized out>, icon_name=<value optimized out>, has_icon_file=0x0) at /build/buildd/gtk+2.0-2.24.1/gtk/gtkicontheme.c:2070
 theme_lookup_icon (icon_theme=<value optimized out>, icon_names=0x8ba61d0, size=24, flags=GTK_ICON_LOOKUP_USE_BUILTIN) at /build/buildd/gtk+2.0-2.24.1/gtk/gtkicontheme.c:2133

Changed in network-manager-applet (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace

** (nm-applet:27478): WARNING **: _nm_object_get_property: Error getting 'RsnFlags' for /org/freedesktop/NetworkManager/AccessPoint/94: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

Martin-Éric Racine (q-funk) wrote :

As far as I can tell, this is caused by the python-gmenu trigger during package installations.

Andreas Moog (ampelbein) on 2011-03-12
visibility: private → public
sojourner (itsmealso2) wrote :

package installation definately will trigger it but so will some other things , it has happend to me when I was not doing anything . also after an update a 2 days ago it quit disconnecting for a day and 1/2 but started doing it again after an update .

tags: added: bugpattern-needed

Further investigation (see bug 708118, now duplicate and gnome#614800 (https://bugzilla.gnome.org/show_bug.cgi?id=614800)) shows that this appears to be an issue in libappindicator: looks like it unrefs themed_icon too early or something (or too often, called by the theme/icon changed signals).

There are two possible fixes: getting rid of the g_object_unref of themed_icon in status_icon_changes() callback, or making the callback use icon names instead of a generated GIcon.

affects: network-manager-applet (Ubuntu) → libappindicator (Ubuntu)
Changed in libappindicator (Ubuntu):
importance: Medium → High
status: New → Triaged
Dmitry Tantsur (divius) wrote :

For me this bug always (!) happens when I'm upgrading either via synaptic or via update-manager.

Le Gluon Du Net (legluondunet) wrote :

Same as Dmitry: nm-applet crashes each time I'm using apt to install or upgrade.

Sebastien Bacher (seb128) wrote :

bug #725417 seems similar from a non libappindicator code

summary: - nm-applet crashed with SIGSEGV
+ crashes with SIGSEGV in notification icon code
summary: - crashes with SIGSEGV in notification icon code
+ libappindication crashes in gtkstatusicon code on update
Changed in libappindicator:
importance: Undecided → High
Changed in libappindicator (Ubuntu):
assignee: nobody → Ted Gould (ted)
Changed in libappindicator:
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
status: New → Confirmed
David Barth (dbarth) wrote :

The bug seems to be raised by a bad interaction between gtk and libappindicator while the icon cache is updated.
@Ryan: can you take a look to propose a fix?

Changed in unity-foundations:
importance: Undecided → High
milestone: none → unity-3.6.8
status: New → Triaged
assignee: nobody → Ryan Lortie (desrt)
Changed in libappindicator:
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Ryan Lortie (desrt)
Changed in libappindicator (Ubuntu):
assignee: Ted Gould (ted) → Ryan Lortie (desrt)
Ted Gould (ted) wrote :

The discussion for this bug is happening on the merge request. I don't think it makes sense to assign it to someone new at this point.

David Barth (dbarth) wrote :

Ah ok, back to you then. Ping Ryan if he can help fix it on time.

Changed in unity-foundations:
assignee: Ryan Lortie (desrt) → Ted Gould (ted)
Changed in libappindicator:
assignee: Ryan Lortie (desrt) → Ted Gould (ted)
Changed in libappindicator (Ubuntu):
assignee: Ryan Lortie (desrt) → Ted Gould (ted)
Ted Gould (ted) wrote :

Adding the GTK patch to enable fallbacks on status icons.

tags: added: patch
Ted Gould (ted) on 2011-03-23
Changed in libappindicator:
milestone: none → 0.3.0
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libappindicator - 0.3.0-0ubuntu1

---------------
libappindicator (0.3.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Don't use GIcon with GtkStatusIcon (LP: #708118) (LP: #729150)
 -- Ted Gould <email address hidden> Wed, 23 Mar 2011 15:50:55 -0500

Changed in libappindicator (Ubuntu):
status: Triaged → Fix Released
Changed in gtk+2.0 (Ubuntu):
importance: Undecided → Wishlist
Ted Gould (ted) on 2011-03-23
Changed in unity-foundations:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.24.3-0ubuntu4

---------------
gtk+2.0 (2.24.3-0ubuntu4) natty; urgency=low

  * debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
    images use fallbacks by default if the property is available. (LP: #729150)
 -- Ted Gould <email address hidden> Wed, 23 Mar 2011 11:53:36 -0500

Changed in gtk+2.0 (Ubuntu):
status: New → Fix Released
Martin-Éric Racine (q-funk) wrote :

Thank you for fixing the nm-applet crash!

It however seems that a regression was introduced: icons no longer show in the notification area at all. Instead, the "broken icon" icon appears. Sure enough, installation of ubuntu-mono reports that:

Preparing to replace ubuntu-mono 0.0.25 (using .../ubuntu-mono_0.0.26_i386.deb) ...
Unpacking replacement ubuntu-mono ...
gtk-update-icon-cache-3.0: The generated cache was invalid.
WARNING: icon cache generation failed for /usr/share/icons/ubuntu-mono-dark
gtk-update-icon-cache-3.0: The generated cache was invalid.
WARNING: icon cache generation failed for /usr/share/icons/ubuntu-mono-light

Susan Cragin (susancragin) wrote :

I confirm.

Dmitry Tantsur (divius) wrote :

The same trouble, see the screenshot (bottom-right corner).
Absent are icons for: indicator-virtualbox, nm-applet, layout switcher.
Apps that still have their icons: gtg, dropbox (mono icons); gajim, gmail-notifier, tracker (upstream icons).

On Thu, 2011-03-24 at 11:04 +0000, Martin-Éric Racine wrote:
> It however seems that a regression was introduced: icons no longer show
> in the notification area at all. Instead, the "broken icon" icon

This is because the GTK patch hasn't landed yet. It will shortly as
that's also a bug task on this bug. Please test again after you get
that package as well.

Dmitry Tantsur (divius) wrote :

Update: the same problem with all icons, not only ubuntu-mono.
Subscribing Ted Gould as the author of Gtk patch.

Martin-Éric Racine (q-funk) wrote :

2011/3/24 Ted Gould <email address hidden>:
> On Thu, 2011-03-24 at 11:04 +0000, Martin-Éric Racine wrote:
>> It however seems that a regression was introduced: icons no longer show
>> in the notification area at all. Instead, the "broken icon" icon
>
> This is because the GTK patch hasn't landed yet.  It will shortly as
> that's also a bug task on this bug.  Please test again after you get
> that package as well.

No, the updated GTK has already landed. It's still not fixed. The
problem seems to be that ubuntu-mono fails at regenerating the icon
cache during postinst.

Dmitry Tantsur (divius) wrote :

$ apt-cache policy libgtk2.0-0
libgtk2.0-0:
  Установлен: 2.24.3-0ubuntu4
  Кандидат: 2.24.3-0ubuntu4
  Таблица версий:
 *** 2.24.3-0ubuntu4 0
        500 http://ru.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

Rebooted, still the same bug.

Dmitry Tantsur (divius) wrote :

Not only Mono, other themes have this problem as well. Maybe they all need to regenerate the icon cache?

Paul Sladen (sladen) on 2011-03-29
tags: added: gtk-update-icon-cache
Martin Pitt (pitti) wrote :

Ted, as this causes countless crashes and dupes (see bug 551809 which also has a ton, now duping all of them to this bug), can we backport the fix to lucid and maverick as well?

Changed in libappindicator (Ubuntu Maverick):
assignee: nobody → Ted Gould (ted)
importance: Undecided → High
status: New → Triaged
Ted Gould (ted) wrote :

On Wed, 2011-03-30 at 09:02 +0000, Martin Pitt wrote:
> Ted, as this causes countless crashes and dupes (see bug 551809 which
> also has a ton, now duping all of them to this bug), can we backport the
> fix to lucid and maverick as well?

That's fine with me, but you'll need to backport the two GTK patches
that this is dependent on as well. The one for supporting the fallback
property and the one that adds it to the status icon. I'd imagine the
GTK patches would be more controversial for a backport than the
libappindicator change.

Martin-Éric Racine (q-funk) wrote :

The issue does not affect releases older than Natty. Everything was rock-solid until Maverick. There is nothing to backport. What's more, the issue still isn't fixed in Natty, because whatever builds the icon cache during the [postinst] in ubuntu-mono is broken.

Nice to see you eventually tracked this down! ;-)

Ted: do you think that patch should go upstream? I couldn't find any precise explanation of the bug and the fix (maybe it happened on IRC).

Martin: yes, it happens at least since Lucid, see bug 551809.

Martin-Éric Racine (q-funk) wrote :

Actually, ubuntu-mono 0.27 doesn't solve this either. I'm still missing icons in GDM and in my standard GNOME's notification area.

Changed in libappindicator (Ubuntu Maverick):
milestone: none → maverick-updates
Changed in libappindicator (Ubuntu Lucid):
milestone: none → ubuntu-10.04.3
Ted Gould (ted) on 2011-04-13
Changed in libappindicator (Ubuntu Maverick):
assignee: Ted Gould (ted) → nobody
Changed in gtk:
importance: Unknown → Critical
status: Unknown → New
tags: removed: bugpattern-needed
tags: added: bugpattern-written
launchpadmember (lpuser1138) wrote :

I clicked on "fix released" and it took me to this comment page without any link to a fix. How do I find where the fix link is for Natty?

Thanks

launchpadmember (lpuser1138) wrote :

I apologies for my last comment. I just woke up and didn't quite have my brains with me yet. It should be noted however that having status indications at the top of the page that say "fix released" might be a little confusing to new people, or experienced people who are in a sleep induced confused panic just after they wake up like I was. Again my apologies, if there is a moderator perhaps this message and the one before it can be removed from the thread so as to keep it on topic.
Thanks.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in libappindicator (Ubuntu Maverick):
status: Triaged → Invalid
Changed in gtk+2.0 (Ubuntu Maverick):
status: New → Invalid
Changed in gtk:
importance: Critical → Medium
status: New → Incomplete
aviramof (aviramof) wrote :
Download full text (3.4 KiB)

I am using Ubuntu 12.10 right now.
------------------------------------------------------------
Ofir Aviram *www.GoldXtra.com/magic* <http://www.goldxtra.com/magic>
http://aviramof.attractivo.com
www.GoldXtra.com/profs<http://www.goldxtra.com/profs>
<http://www.goldxtra.com/magic>www.GoldXtra.com/terms1
https://www.facebook.com/aviramof

2013/2/17 Bug Watch Updater <email address hidden>

> ** Changed in: gtk
> Status: New => Incomplete
>
> ** Changed in: gtk
> Importance: Critical => Medium
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (624450).
> https://bugs.launchpad.net/bugs/729150
>
> Title:
> libappindication crashes in gtkstatusicon code on update
>
> Status in GTK+ GUI Toolkit:
> Incomplete
> Status in Libappindicator:
> Fix Released
> Status in Unity Foundations:
> Fix Released
> Status in “gtk+2.0” package in Ubuntu:
> Fix Released
> Status in “libappindicator” package in Ubuntu:
> Fix Released
> Status in “gtk+2.0” source package in Lucid:
> New
> Status in “libappindicator” source package in Lucid:
> New
> Status in “gtk+2.0” source package in Maverick:
> Invalid
> Status in “libappindicator” source package in Maverick:
> Invalid
>
> Bug description:
> I was testing - just surfing - with Ubuntu Natty Alpha 3 when nm-
> applet crashed
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.04
> Package: network-manager-gnome 0.8.3+git.20110203t003354.9bf0b98-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic i686
> Architecture: i386
> CrashCounter: 1
> Date: Fri Mar 4 16:47:55 2011
> ExecutablePath: /usr/bin/nm-applet
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386
> (20100429)
> IpRoute:
> 192.168.5.0/24 dev wlan0 proto kernel scope link src 192.168.5.103
> metric 2
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> default via 192.168.5.7 dev wlan0 proto static
> Keyfiles: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=true
> WWANEnabled=true
> ProcCmdline: nm-applet --sm-disable
> ProcEnviron:
> LANGUAGE=de_DE:en
> LANG=de_DE.UTF-8
> SHELL=/bin/bash
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> SegvAnalysis:
> Segfault happened at: 0x8cdae6: movsbl (%eax),%eax
> PC (0x008cdae6) ok
> source "(%eax)" (0x00000001) not located in a known VMA region (needed
> readable region)!
> destination "%eax" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: network-manager-applet
> StacktraceTop:
> ?? () from /usr/lib/libgtk-x11-2.0.so.0
> ?? () from /usr/lib/libgtk-x11-2.0.so.0
> ?? () from /usr/lib/libgtk-x11-2.0.so.0
> ?? () from /usr/lib/libgtk-x11-2.0.so.0
> ?? () from /usr/lib/libgtk-x11-2.0.so.0
> Title: nm-applet crashed with SIGSEGV
> UpgradeStatus: Upgraded to natty on 2011-03-04 (0 days ago)
> UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpa...

Read more...

Changed in gtk:
status: Incomplete → Expired
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in gtk+2.0 (Ubuntu Lucid):
status: New → Won't Fix
Changed in libappindicator (Ubuntu Lucid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.